#!/bin/bash 
 
FREQ=$1 
DURATION=$2 
EMAIL=$3 
 
FILEPATH="/media/radio/" 
 
NAME="Radio_`/bin/date +%Y%m%d_%H%M`_`echo $FREQ | tr [.] [_]`" 
 
FILENAME=$FILEPATH$NAME 
echo "$NAME" | mail -s "Radio recording started..." $EMAIL 
 
BODY="" 
BODY=$BODY`fm $FREQ $VOL` 
BODY=$BODY`sound-recorder -S $DURATION -f=wav $FILENAME.wav 2>&1`  
 
# Encode and send 
lame $FILENAME.wav $FILENAME.mp3 >/dev/null 2>&1 
 
uuencode $FILENAME.mp3 $FILENAME.mp3 | mail -s "Radio program ($FILENAME)!" $EMAIL >/dev/null 2>&1 
 
# Clean up 
/bin/rm $FILENAME.wav  
/bin/rm $FILENAME.mp3